# Get all cases

Get all cases. Returns only borrower-bound cases by default.

Endpoint: GET /cases
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `caseTypeId` (string, required)
    The case type unique identifier.

## Query parameters:

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

  - `offset` (integer)
    Offset from the start of results.

  - `sortBy` (array)
    The data attributes by which to sort the results.

  - `expand` (boolean)
    Replace component IDs with corresponding objects

  - `include` (array)
    A comma separated list of field names to include in the response.

  - `associations` (string)
    Type of related object to return with the case data.
- If `null`, no references to related objects are inserted into the response.
- If `all`, insert an array of all relations
- Otherwise insert array of single type.

  - `outcome` (string)

  - `status` (string)

  - `statuses` (array)

  - `statusUpdatedBefore` (string)
    Filter by cases which have a `statusUpdatedAt` date-time from before the given value

  - `statusUpdatedAfter` (string)
    Filter by cases which have a `statusUpdatedAt` date-time after the given value

  - `caseNumber` (string)
    Filter cases by external case number

  - `caseType` (string)
    The name of the case type.

  - `createdBefore` (string)
    Filter by cases which have a `createdAt` date-time before the given value

  - `createdAfter` (string)
    Filter by cases which have a `createdAt` date-time after the given value

  - `nupUpdatedNull` (boolean)
    Filters to cases that have been sent in the NUP file if true, otherwise filters them out if false.
(Only applies to Bankruptcy cases)

  - `snoozedUntilBefore` (string)
    Filter only cases with a snooze (the `snoozeUntil` value) set to expire before the specified datetime. Note that a
snoozed case is set to None automatically very shortly after it expires.

  - `snoozedUntilAfter` (string)
    Filter only cases with a snooze (the `snoozeUntil` value) set to expire after the specified datetime.

  - `owningEmployeeId` (string)
    Filter by cases which have an `owningEmployeeId` equal to the given employee
ID. If the employee ID is `null`, filter by cases which have no owning employee.

  - `loanTypes` (array)
    Filter by a list of loan types. Only includes cases with loans of the
specified loan types. Special value `none` means to include cases with
no associated loans.

  - `interaction.status` (array)
    Filter cases which have an associated interaction with the specified status.

  - `interaction.channel` (array)
    Filter cases which have an associated interaction with the specified channel.

  - `interaction.scheduledAtFromBefore` (string)
    Filter cases which have an associated interaction with a scheduled start date-time
before the specified value. (i.e., the specified value is less than or equal to `scheduledAtFrom`.)

  - `interaction.scheduledAtFromAfter` (string)
    Filter cases which have an associated interaction with a scheduled start date-time
after the specified value. (i.e., the specified value is greater than or equal to `scheduledAtFrom`.)

  - `interaction.scheduledAtToBefore` (string)
    Filter cases which have an associated interaction with a scheduled end date-time
before the specified value. (i.e., the specified value is less than or equal to `scheduledAtTo`.)

  - `interaction.scheduledAtToAfter` (string)
    Filter cases which have an associated interaction with a scheduled end date-time
after the specified value. (i.e., the specified value is greater than or equal to `scheduledAtTo`.)

  - `associatedDocumentId` (string)
    Filter by an associated document ID, public or external. Only includes
cases that have been associated with the given document ID.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of items returned by the current request.

  - `nextUrl` (string)
    URL of the next set of results.

  - `previousUrl` (string)
    URL of the previous set of results.

  - `status` (integer)
    HTTP status code.

  - `total` (integer)
    Total number of items in this result.

  - `data` (array)

  - `data.typeId` (string, required)
    Unique identifier of the case type.

